Subject: [rohc] Copy offset torture test failure

From: "Chitrak" <[email-masked]>
Date: Fri, 10 Dec 2004 18:36:28 +0530

Dear All,

After trying for the last 2 weeks to pass the torture test for copy-offset I started searching for answers when I landed upon a UDVM implementation by Anders Broman [email-masked].  I ran and compiled the code along with the torture test bytecode. What I got from the code is this:

40 40 40 40 40 40 40 40 40 40 40 40 40 40 40 40 

40 40 40 40 40 40 40 40 40 40 40 40 40 40 40 40

00 42 00 4a 40 74 40 40 40 40 40 40 40 40 40 40

But the result given in the torture test is this 

The expected output of the code is 32 instances of 0x40 followed by  0x0042 004a 0074 4040 4040 004a 0074 4040.

So can anyone please clarify if the result in the torture test document is valid or if there is an error in my interpretation. Is there any flaw in the source code I got?

Waiting for a response,

Thanks in advance.

Chitrak  

 sigcomp-udvm.c

 Routines making up the Universal Decompressor Virtual Machine (UDVM) used for

 Signaling Compression (SigComp) dissection.

 Copyright 2004, Anders Broman [email-masked]
_______________________________________________
Rohc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rohc